<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_i.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>IArray()
: <a class="el" href="classarm__compute_1_1_i_array.xhtml#a409cec620a7e56a535b079a0fe37695a">IArray&lt; T &gt;</a>
</li>
<li>ICLArray()
: <a class="el" href="classarm__compute_1_1_i_c_l_array.xhtml#a0cf073a23250bc74f0481a2747245e09">ICLArray&lt; T &gt;</a>
</li>
<li>ICLDistribution1D()
: <a class="el" href="classarm__compute_1_1_i_c_l_distribution1_d.xhtml#a0289f4eb4c6ca9ddcdc7d0926592a98f">ICLDistribution1D</a>
</li>
<li>ICLKernel()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a6b10e96ce90bf901d17def86b874b019">ICLKernel</a>
</li>
<li>ICLLut()
: <a class="el" href="classarm__compute_1_1_i_c_l_lut.xhtml#abc0b83809a3a81a4dced0bdf7d4d5ed7">ICLLut</a>
</li>
<li>ICLSimpleFunction()
: <a class="el" href="classarm__compute_1_1_i_c_l_simple_function.xhtml#aa8149af857c4bface8ad712e418a63f1">ICLSimpleFunction</a>
</li>
<li>ICLSimpleKernel()
: <a class="el" href="classarm__compute_1_1_i_c_l_simple_kernel.xhtml#a71b19222a7962c5b951b2ed9a752bd9f">ICLSimpleKernel</a>
</li>
<li>ICLTensor()
: <a class="el" href="classarm__compute_1_1_i_c_l_tensor.xhtml#a64399eb327ea2e4ecd2c8086a8dc01ce">ICLTensor</a>
</li>
<li>ICPPSimpleKernel()
: <a class="el" href="classarm__compute_1_1_i_c_p_p_simple_kernel.xhtml#a3f46900690da1aee8ff395133f853cb4">ICPPSimpleKernel</a>
</li>
<li>IDistribution1D()
: <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#a9c3a40b0dbbd79ed909471d9e05283aa">IDistribution1D</a>
</li>
<li>idx_class
: <a class="el" href="structarm__compute_1_1_detection_window.xhtml#ae5c4999829285e20d3b491807fa46fd1">DetectionWindow</a>
</li>
<li>IKernel()
: <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a7250cb8cbaa4104a93a2d77155085507">IKernel</a>
</li>
<li>ILutAllocator()
: <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#acb80847d132eba25605f9fc43a42f652">ILutAllocator</a>
</li>
<li>increment()
: <a class="el" href="classarm__compute_1_1_iterator.xhtml#a6e507a84d19ad08bb0f7fc1558ec429a">Iterator</a>
</li>
<li>index_offset()
: <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#aaf3f51cd25e1651cccf04064a9888f4e">CLLut</a>
, <a class="el" href="classarm__compute_1_1_i_lut.xhtml#a786de36dda3773c5fb35d6700e64621e">ILut</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#aaf3f51cd25e1651cccf04064a9888f4e">Lut</a>
</li>
<li>INEHarrisScoreKernel()
: <a class="el" href="classarm__compute_1_1_i_n_e_harris_score_kernel.xhtml#a3ad624d38793ed654c8ecb01466412ce">INEHarrisScoreKernel</a>
</li>
<li>INESimpleFunction()
: <a class="el" href="classarm__compute_1_1_i_n_e_simple_function.xhtml#a4a6528d71f063140db37cdf5cf272960">INESimpleFunction</a>
</li>
<li>INEWarpKernel()
: <a class="el" href="classarm__compute_1_1_i_n_e_warp_kernel.xhtml#a7acfff8355cadd1f4a467a82d05df75a">INEWarpKernel</a>
</li>
<li>info()
: <a class="el" href="classarm__compute_1_1_c_l_multi_image.xhtml#ae8d325a13f6f9d17ffe9ea076216b02f">CLMultiImage</a>
, <a class="el" href="classarm__compute_1_1_c_l_pyramid.xhtml#ac1b010c3c67886aa4add531ed3bbceac">CLPyramid</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor.xhtml#a97de03c31e0ca04be6960e2e3ffdca95">CLTensor</a>
, <a class="el" href="classarm__compute_1_1_h_o_g.xhtml#aaa7fa8bba335c51f601110ed2e11eef3">HOG</a>
, <a class="el" href="classarm__compute_1_1_i_h_o_g.xhtml#a4e9b5d4ab15fd9009b463861c1a19dbd">IHOG</a>
, <a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a38261214e277cba5b90dd1ffe31170e0">IMultiImage</a>
, <a class="el" href="classarm__compute_1_1_i_pyramid.xhtml#a7114241d28b1d2ebb7b9dba9f1ab0c8b">IPyramid</a>
, <a class="el" href="classarm__compute_1_1_i_tensor.xhtml#a8df2a8ec8fcd4258450270f15651b6c9">ITensor</a>
, <a class="el" href="classarm__compute_1_1_i_tensor_allocator.xhtml#a2b12680d0e794d5e81f489df22b38231">ITensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_multi_image.xhtml#ae8d325a13f6f9d17ffe9ea076216b02f">MultiImage</a>
, <a class="el" href="classarm__compute_1_1_pyramid.xhtml#ac1b010c3c67886aa4add531ed3bbceac">Pyramid</a>
, <a class="el" href="classarm__compute_1_1_tensor.xhtml#a97de03c31e0ca04be6960e2e3ffdca95">Tensor</a>
</li>
<li>init()
: <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#af353532ea782387df6bcb6d01894f4ae">CLKernelLibrary</a>
, <a class="el" href="classarm__compute_1_1_c_l_multi_image.xhtml#a7453bdfcb39e068357022f0861e59637">CLMultiImage</a>
, <a class="el" href="classarm__compute_1_1_c_l_pyramid.xhtml#ae4e11cca76492d63009564d1ea466dff">CLPyramid</a>
, <a class="el" href="classarm__compute_1_1_c_l_scheduler.xhtml#adbadebed3b89425740901b16b9d5d947">CLScheduler</a>
, <a class="el" href="classarm__compute_1_1_h_o_g.xhtml#a055b5bd45e91f842b49def638c017b5b">HOG</a>
, <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#a75215e8ba07a5ec88ee8c902e306e887">HOGInfo</a>
, <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#a4ef157737b45c46f115e14b425512800">ILutAllocator</a>
, <a class="el" href="classarm__compute_1_1_i_tensor_allocator.xhtml#aa72161e0e3c0f6b2da20f835de6af680">ITensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_multi_image.xhtml#a7453bdfcb39e068357022f0861e59637">MultiImage</a>
, <a class="el" href="classarm__compute_1_1_multi_image_info.xhtml#a7453bdfcb39e068357022f0861e59637">MultiImageInfo</a>
, <a class="el" href="classarm__compute_1_1_pyramid.xhtml#ae4e11cca76492d63009564d1ea466dff">Pyramid</a>
, <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a51a4719902c69a814ccc638963b3074e">PyramidInfo</a>
, <a class="el" href="classarm__compute_1_1_tensor_allocator.xhtml#a3014ce2f4215e8a44331aa5daf3ba0d4">TensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a7b21c13a1b353cfd16dafcff4e5f4eea">TensorInfo</a>
</li>
<li>init_auto_padding()
: <a class="el" href="classarm__compute_1_1_c_l_multi_image.xhtml#a32c7d923aa5aad1ef6afe95204c7d723">CLMultiImage</a>
, <a class="el" href="classarm__compute_1_1_c_l_pyramid.xhtml#a0dd473fd109df68b4747ebf0f586a115">CLPyramid</a>
, <a class="el" href="classarm__compute_1_1_multi_image.xhtml#a32c7d923aa5aad1ef6afe95204c7d723">MultiImage</a>
, <a class="el" href="classarm__compute_1_1_pyramid.xhtml#a0dd473fd109df68b4747ebf0f586a115">Pyramid</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a4b7391b7025befbe44b743723feb4a9b">TensorInfo</a>
</li>
<li>init_image()
: <a class="el" href="classtest__helpers_1_1_p_p_m_loader.xhtml#a283b961e6ca7b117b106c8710c7cfe81">PPMLoader</a>
</li>
<li>IOFormatInfo()
: <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#afc22bda96f8024656055390cc5f780f0">IOFormatInfo</a>
</li>
<li>is_open()
: <a class="el" href="classtest__helpers_1_1_p_p_m_loader.xhtml#a2f57f54d8c03b615bb31eee091d8a88a">PPMLoader</a>
</li>
<li>is_parallelisable()
: <a class="el" href="classarm__compute_1_1_c_l_fill_border_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">CLFillBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_c_p_p_sort_euclidean_distance_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">CPPSortEuclideanDistanceKernel</a>
, <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#abfab8f0d4928e1081d9f65b77933e24a">IKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEChannelCombineKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NECumulativeDistributionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEFillArrayKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEHistogramBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEHOGNonMaximaSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEIntegralImageKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEMinMaxLocationKernel</a>
</li>
<li>is_resizable()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#aa29d70e3b3c82e0857a6be5280b70ee0">TensorInfo</a>
</li>
<li>ITensorAllocator()
: <a class="el" href="classarm__compute_1_1_i_tensor_allocator.xhtml#af97d553d2aa86688c92db8ed9a67cf0e">ITensorAllocator</a>
</li>
<li>Iterator()
: <a class="el" href="classarm__compute_1_1_iterator.xhtml#a45381773d6cba2ad9e9d2d04515fa40b">Iterator</a>
</li>
<li>ival
: <a class="el" href="structarm__compute_1_1_c_l_old_value.xhtml#a1cff71bbc642cf572dd01d8e8bb46abd">CLOldValue</a>
</li>
<li>ixval
: <a class="el" href="structarm__compute_1_1_c_l_old_value.xhtml#a02690aa257eaf55ce23da09759e95517">CLOldValue</a>
</li>
<li>iyval
: <a class="el" href="structarm__compute_1_1_c_l_old_value.xhtml#a92420f1bb5bb799a59e081a540e4c7ed">CLOldValue</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
